com.sun.jna.platform.win32

## Class WinDef.WORDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.WORDByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.WORDByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.WORDByReference()`
    `WinDef.WORDByReference(WinDef.WORD value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.WORD` | `getValue()`
    `void` | `setValue(WinDef.WORD value)`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinDef.WORDByReference

          public WinDef.WORDByReference()

    - #### WinDef.WORDByReference

          public WinDef.WORDByReference(WinDef.WORD value)

  - ### Method Detail

    - #### setValue

          public void setValue(WinDef.WORD value)

    - #### getValue

          public WinDef.WORD getValue()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.